> For the complete documentation index, see [llms.txt](https://faq.finerymarkets.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://faq.finerymarkets.com/api-reference/rest-api/pricing-and-instruments/synthetic-instruments/synthetic-addinstrument.md).

# /synthetic/addInstrument

Add new Synthetic Instrument

{% tabs %}
{% tab title="Payload" %}

```
POST /api/synthetic/addInstrument

{
    "legs": [
        {
            "name": "BTC-USD"
        },
        {
            "name": "USDT-USD"
        }
    ]
}
```

<table><thead><tr><th width="122.800048828125">Parameter</th><th width="113.800048828125">Type</th><th>Description</th></tr></thead><tbody><tr><td>legs.name</td><td>string</td><td>Name of Direct Instrument that forms Synthetic Instrument</td></tr></tbody></table>

{% endtab %}

{% tab title="Response 200 OK" %}

```
{
    "content": {
        "id": 1,
        "name": "BTC-USD:USDT-USD",
        "legs": [
            {
                "name": "BTC-USD",
                "inverted": false
            },
            {
                "name": "USDT-USD",
                "inverted": true
            }
        ]
    },
    "error": 0
}
```

<table><thead><tr><th width="205.99993896484375">Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>error</td><td>Efx::ErrorCode</td><td>Operation result code. Possible values are in <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes">List of Error Codes</a></td></tr><tr><td>content.id</td><td>number</td><td>Id of a newly created Synthetic Instrument</td></tr><tr><td>content.name</td><td>string</td><td>Technical Name of a newly created Synthetic Instrument</td></tr><tr><td>content.legs.name</td><td>string</td><td>Name of Direct Instrument that forms Synthetic Instrument</td></tr><tr><td>content.legs.inverted</td><td>boolean</td><td>Flag that highlights if Direct Instrument is inverted within specified Synthetic Instrument. Defines how internal calculations related to Synthetic Instrument are made</td></tr></tbody></table>
{% endtab %}

{% tab title="Response NoOK" %}
Any unsuccessful response

```
{
    "error": 9,
    "errorDescription": [
        "Instrument already exists"
    ]
}
```

<table><thead><tr><th width="147.60009765625">Attribute</th><th width="155.199951171875">Type</th><th>Description</th></tr></thead><tbody><tr><td>error</td><td>Efx::ErrorCode</td><td>Operation result code. Possible values are in <a href="https://app.gitbook.com/o/-MdGV_UNcoyY7eJyul_c/s/lhEtVTUclDpcNfjGvCeB/~/edit/~/changes/439/api-reference/troubleshooting-errors/list-of-error-codes">List of Error Codes</a></td></tr><tr><td>errorDescription</td><td>string array</td><td>List of strings describing observed errors</td></tr></tbody></table>
{% endtab %}
{% endtabs %}
